%define api		1
%define major		0
%define libname		%mklibname handy %{api} %{major}
%define girhandyname	%mklibname handy-gir %{api}
%define develname	%mklibname handy -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%bcond_without glade

Name:		libhandy
Version:	1.8.3
Release:	%mkrel 1
Summary:	A GTK+ library to develop UI for mobile devices
License:	LGPLv2+
Group:		System/Libraries
URL:		https://gitlab.gnome.org/GNOME/libhandy/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	gtk-doc
BuildRequires:	meson
BuildRequires:	vala
%if %{with glade}
BuildRequires:	lib64gladeui2-devel
%endif
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64harfbuzz-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64vala-devel

%description
libhandy is a library to help with developing UI for mobile devices
using GTK+/GNOME.

#------------------------------------------------

%package common
Summary:	A GTK+ library to develop UI for mobile devices
Group:		System/Libraries

%description common
This package provides the shared library for libhandy, a library to
help with developing mobile UI using GTK+/GNOME.

#------------------------------------------------

%package -n	%{libname}
Summary:	A GTK+ library to develop UI for mobile devices
Group:		System/Libraries
Requires:	%{name}-common

%description -n	%{libname}
This package provides the shared library for libhandy, a library to
help with developing mobile UI using GTK+/GNOME.

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	handy-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%if %{with glade}
%package -n	%{name}-glade
Summary:	Glade (GTK+3) modules for %{name}
Group:		System/Libraries
Requires:	glade

%description -n	%{name}-glade
This package provides a catalog for Glade (GTK+3) which allows the use
of the provided Handy widgets in Glade.
%endif

#------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%meson \
	-Dprofiling=false \
	-Dintrospection=enabled \
	-Dvapi=true \
	-Dgtk_doc=false \
	-Dtests=false \
	-Dexamples=false \
%if %{with glade}
	-Dglade_catalog=enabled \
%else
	-Dglade_catalog=disabled \
%endif
	%{nil}
%meson_build

%install
%meson_install

%find_lang %name

%files -n %{libname}
%{_libdir}/libhandy-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Handy-%{api}.typelib

%files common -f %{name}.lang

%files -n %{develname}
%{_includedir}/libhandy-%{api}/
%{_libdir}/libhandy-%{api}.so
%{_datadir}/gir-1.0/Handy-%{api}.gir
%{_libdir}/pkgconfig/libhandy-%{api}.pc
%{_datadir}/vala/vapi/libhandy-%{api}.deps
%{_datadir}/vala/vapi/libhandy-%{api}.vapi

%if %{with glade}
%files -n %{name}-glade
%{_libdir}/glade/modules/*.so
%{_datadir}/glade/catalogs/*.xml
%endif

%changelog
* Fri Feb 09 2024 tex - 1.8.3-1pclos2024
- new version

* Mon Mar 06 2023 tex - 1.8.2-1pclos2023
- new version

* Sun Feb 05 2023 tex - 1.8.1-1pclos2023
- new version

* Fri Sep 16 2022 tex - 1.8.0-1pclos2022
- new version

* Sun Jul 10 2022 tex - 1.6.3-1pclos2022
- new version

* Sun Apr 24 2022 tex - 1.6.2-1pclos2022
- new version

* Sat Mar 19 2022 tex - 1.6.1-1pclos2022
- new version

* Fri Feb 18 2022 tex - 1.2.3-2pclos2022
- rebuild against updates

* Mon Jun 21 2021 tex - 1.2.3-1pclos2021
- new version 1.2.3
